Upgrade 4.2.8 to 4.4.0

On Ubuntu 18.04 when upgrading 4.2.8 to 4.4.0 I get

dpkg: error processing archive /tmp/apt-dpkg-install-QQya5y/0-mongodb-org-database-tools-extra_4.4.0_amd64.deb (--unpack):
[playdb3] out:  trying to overwrite '/usr/bin/install_compass', which is also in package mongodb-org-tools 4.2.8

So do I have to manually remove 4.2.8 before upgrading?

Hi @Andrew_Wason,

I believe that the compass package was moved to a package of its own called mongodb-org-database-tools-extra

https://docs.mongodb.com/manual/tutorial/install-mongodb-on-ubuntu/#mongodb-community-edition-packages

I assume this might be some conflict. So I would try to remove mongodb-org-tools and retry.

Let me know if you have succeeded.
Best regards
Pavel